// Code generated by tablegen. DO NOT EDIT.
package tables

func Get() AllTables                   { return AllTables{} }
func WithAlias(alias string) AllTables { return AllTables{alias: alias} }

type AllTables struct{ alias string }

type Index struct {
	tableAlias, tableName, indexName string
	columns                          []string
}

func (i Index) Name() string             { return i.indexName }
func (i Index) Table() string            { return i.tableName }
func (i Index) AllColumnNames() []string { return i.columns }
func (i Index) ForcedTable() string      { return tableName(i.tableName, i.indexName, i.tableAlias) }

func tableName(table, index, alias string) string {
	if index != "" {
		table += "@{force_index=" + index + "}"
	}
	if alias != "" {
		table += " AS " + alias
	}
	return table
}

func colName(alias, col string) string {
	if alias == "" {
		return col
	}
	return alias + "." + col
}
